library(shinythemes)
library(shiny)
library(dplyr)
library(ggplot2)


# load(file="dmodelfilt_SegundaVuelta.RData")

ui<-fluidPage(theme=shinytheme("cyborg"),
              titlePanel("Análisis exploratorio de las variables de Cajamar"),
              sidebarLayout(
                sidebarPanel = sidebarPanel(h3("HISTOGRAMA"),
                                            h6("Elija la variable a representar"),
                                            selectInput("Variable",
                                                        "Seleccione la variable",
                                                        colnames(dmodel2) ),
                                            checkboxInput("logaritmo","Representar el logaritmo de la variable")
                ),
                mainPanel = mainPanel(plotOutput("grafica"))
              )
              
              
)



server <- function(input, output) { 
  output$grafica<-renderPlot({
    logaritmo<-input$logaritmo
    variable<-input$Variable
    if(logaritmo){
      dmodel2$temp<-sapply(dmodel2[variable],function(x){ifelse(x==0,NA,log(x))})
      p<-ggplot(dmodel2)+
        geom_histogram(aes(temp))
    } else {
      p<-ggplot(dmodel2)+
        geom_histogram(aes_string(variable))
    }
    return(p)
      
  })
  
}
    
    



shinyApp(ui, server)
